App\Library\Amazon\Classes\BagCase:
    xml_root_name: BagCase
    properties:
        bagCaseType:
            expose: true
            access_type: public_method
            serialized_name: BagCaseType
            accessor:
                getter: getBagCaseType
                setter: setBagCaseType
            type: string
        style:
            expose: true
            access_type: public_method
            serialized_name: Style
            accessor:
                getter: getStyle
                setter: setStyle
            type: string
        materialType:
            expose: true
            access_type: public_method
            serialized_name: MaterialType
            accessor:
                getter: getMaterialType
                setter: setMaterialType
            type: string
        features:
            expose: true
            access_type: public_method
            serialized_name: Features
            accessor:
                getter: getFeatures
                setter: setFeatures
            xml_list:
                inline: true
                entry_name: Features
            type: array<string>
        specificUses:
            expose: true
            access_type: public_method
            serialized_name: SpecificUses
            accessor:
                getter: getSpecificUses
                setter: setSpecificUses
            type: string
